<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from distfun_lognrnd.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="distfun_lognrnd" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:scilab="http://www.scilab.org"
          xmlns:db="http://docbook.org/ns/docbook">

  <refnamediv>
    <refname>distfun_lognrnd</refname>
    <refpurpose>Lognormal random numbers</refpurpose>
  </refnamediv>


<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   x = distfun_lognrnd ( mu , sigma )
   x = distfun_lognrnd ( mu , sigma , [m,n] )
   x = distfun_lognrnd ( mu , sigma , m , n )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>mu :</term>
      <listitem><para> a matrix of doubles, the average.</para></listitem></varlistentry>
   <varlistentry><term>sigma :</term>
      <listitem><para> a matrix of doubles, the standard deviation. sigma>0.</para></listitem></varlistentry>
   <varlistentry><term>m :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, the number of rows of x</para></listitem></varlistentry>
   <varlistentry><term>n :</term>
      <listitem><para> a 1-by-1 matrix of floating point integers, the number of columns of x</para></listitem></varlistentry>
   <varlistentry><term>x:</term>
      <listitem><para> a matrix of doubles, the positive random numbers.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Generates random variables from the lognormal distribution function.
   </para>
   <para>
Any scalar input argument is expanded to a matrix of doubles of
the same size as the other input arguments.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
// Test both mu and sigma expanded
x = distfun_lognrnd(1:6,(1:6)^-1)

// Test sigma expansion
x = distfun_lognrnd(1:6,2.0)

// Test mu expansion
x = distfun_lognrnd(1.0,1:6)

// Test with v
x = distfun_lognrnd(0,1,[3 2])

// Test with m, n
x = distfun_lognrnd(0,1,3,2)

// Make a plot of the actual distribution of the numbers
scf();
mu = 2;
sigma = 3;
x = distfun_lognrnd(mu,sigma,1,1000);
histplot(10,log(x));
x = linspace(-10,10,1000);
y = distfun_normpdf(x,mu,sigma);
plot(x,y)
xtitle("Lognormal random variables","Log(X)","Density");
legend(["Empirical","PDF"]);

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2012 - 2014 - Michael Baudin</member>
   <member>Copyright (C) 2011 - DIGITEO - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
